# INPARANOID
[SAMPLE]
accession java.lang.Integer 25724

[TEST_DATUM]
q9map0

[CORE]
FIELD_ANNOTATION         SELECT DISTINCT name FROM INPARANOID__DATA, TAXONOMY__DATA__$NAMES WHERE id='@FIELD_ACCESSION@' AND species=AK_TAXONOMY__DATA__id AND AK_TAXONOMY__$NAMETYPES__id=1;
# don't know how to do the following two in one select now that id is a gene - maybe drop it and force the user to go from SwissPort/Wormbase to Inparanoid
#  so long as can go INparanoid to Swissprot and Swissprot to Inparanoid, should suffice...
# FIELD_PARALOG
# FIELD_ORTHOLOG
FIELD_ACCESSION          SELECT id FROM INPARANOID__DATA WHERE id='@FIELD_ACCESSION@'
# FIELD_SPECIES            SELECT species FROM INPARANOID__DATA WHERE id='@FIELD_ACCESSION@'
FIELD_GOTERM             SELECT DISTINCT GO__DATA__$ROOTNAME.name FROM GO__DATA__$ROOTNAME, GO__DATA__$GENEPRODUCT_NAME, INPARANOID__DATA__LINKAGES$SWISSPROT where GO__DATA__$GENEPRODUCT_NAME.name = INPARANOID__DATA__LINKAGES$SWISSPROT.FKDest__value and GO__DATA__$ROOTNAME.AK_GO__DATA__id = GO__DATA__$GENEPRODUCT_NAME.AK_GO__DATA__id AND INPARANOID__DATA__LINKAGES$SWISSPROT.FKSrc__value = '@FIELD_ACCESSION@'
[LINKAGE_TO]
LINK_SWISSPROT1           SELECT id from SWISSPROT__DATA where id = '@FIELD_ACCESSION@'
LINK_SWISSPROT2           SELECT AK_SWISSPROT__DATA__id from SWISSPROT__DATA__$ACCESSIONS where accession = '@FIELD_ACCESSION@'
[LINKAGE_FROM]
LINK_SWISSPROT1           SELECT id from INPARANOID__DATA where id = '@FIELD_ACCESSION@'
LINK_SWISSPROT2           SELECT accession from SWISSPROT__DATA__$ACCESSIONS where AK_SWISSPROT__DATA__id = '@FIELD_ACCESSION@'

[KEYWORD]
FIELD_ACCESSION      SELECT id FROM INPARANOID__DATA WHERE %id% LIKE '@keyword@'
FIELD_ANNOTATION     SELECT id FROM INPARANOID__DATA, TAXONOMY__DATA__$NAMES WHERE %name% LIKE '@keyword@' AND species=AK_TAXONOMY__DATA__id AND AK_TAXONOMY__$NAMETYPES__id=1
