# MGC
[SAMPLE]
accession java.lang.Integer 1
[CORE]
FIELD_ANNOTATION      SELECT product FROM MGC__DATA WHERE id='@FIELD_ACCESSION@'
FIELD_SEQUENCE        SELECT SEQUENCE_N FROM MGC__DATA__$NUCLEOTIDES WHERE AK_MGC__DATA__id=@FIELD_ACCESSION@
FIELD_SEQUENCE_LENGTH SELECT LENGTH(SEQUENCE_N) FROM MGC__DATA__$NUCLEOTIDES WHERE AK_MGC__DATA__id=@FIELD_ACCESSION@
FIELD_TISSUE          SELECT name FROM MGC__DATA__$TISSUES, MGC__$TISSUE WHERE AK_MGC__$TISSUE__id=id AND AK_MGC__DATA__id=@FIELD_ACCESSION@
FIELD_VECTOR          SELECT name FROM MGC__DATA__$VECTOR, MGC__$VECTOR WHERE AK_MGC__$VECTOR__id=id AND AK_MGC__DATA__id=@FIELD_ACCESSION@;
FIELD_PROTEIN         SELECT SEQUENCE_P FROM MGC__DATA__$PROTEINS WHERE AK_MGC__DATA__id=@FIELD_ACCESSION@
FIELD_PROTEIN_LENGTH  SELECT length FROM MGC__DATA__$PROTEINS WHERE AK_MGC__DATA__id=@FIELD_ACCESSION@
FIELD_IMAGE           SELECT image FROM MGC__DATA__$IMAGE WHERE AK_MGC__DATA__id=@FIELD_ACCESSION@
[LINKAGE_TO]
LINK_TAXONOMY  SELECT FKDest__value FROM MGC__DATA__LINKAGES$TAXONOMY WHERE FKSrc__value=@FIELD_ACCESSION@
LINK_GENBANK   SELECT FKDest__value FROM MGC__DATA__LINKAGES$GENBANK WHERE FKSrc__value=@FIELD_ACCESSION@
LINK_LOCUSLINK SELECT FKDest__value FROM MGC__DATA__LINKAGES$LOCUSLINK WHERE FKSrc__value=@FIELD_ACCESSION@
LINK_PFAM      SELECT CONCAT('PF',LPAD(FKDest__value,5,'0')) AS FIELD_ACCESSION, Src_X1 AS FIELD_SRC_X, Src_X2 AS FIELD_SRC_Y, Dest_X1 AS FIELD_DEST_X, Dest_X2 AS FIELD_DEST_Y, score AS FIELD_SCORE FROM MGC__HOMOLOGY$PFAM WHERE FKSrc__value='@FIELD_ACCESSION@' ORDER BY FIELD_ACCESSION ASC;
[LINKAGE_FROM]
