[TEST_DATUM]
mapkapk2

[LINKAGE_FROM]
LINK_OMIM        SELECT DISTINCT REFSEQ__DATA.id AS accession FROM OMIM__DATA, REFSEQ__DATA__LINKAGES$OMIM, REFSEQ__DATA, REFSEQ__DATA__LINKAGES$TAXONOMY WHERE REFSEQ__DATA__LINKAGES$TAXONOMY.FKSrc__value=REFSEQ__DATA.id AND REFSEQ__DATA.id=REFSEQ__DATA__LINKAGES$OMIM.FKSrc__value AND REFSEQ__DATA__LINKAGES$OMIM.FKDest__value=OMIM__DATA.id AND OMIM__DATA.id=@FIELD_ACCESSION@ AND REFSEQ__DATA__LINKAGES$TAXONOMY.FKDest__value=10116
LINK_SWISSPROT_SIMILAR  SELECT REFSEQ__HOMOLOGY$SWISSPROT.FKSrc__value AS FIELD_ACCESSION, MAX(score) AS FIELD_BITSCORE, Src_X1 AS FIELD_SRC_X, Src_X2 AS FIELD_SRC_Y, Dest_X1 AS FIELD_DEST_X, Dest_X2 AS FIELD_DEST_Y FROM REFSEQ__HOMOLOGY$SWISSPROT, REFSEQ__DATA, REFSEQ__DATA__LINKAGES$TAXONOMY WHERE REFSEQ__DATA__LINKAGES$TAXONOMY.FKSrc__value=REFSEQ__DATA.id AND REFSEQ__HOMOLOGY$SWISSPROT.FKSrc__value=REFSEQ__DATA.id AND REFSEQ__HOMOLOGY$SWISSPROT.FKDest__value='@FIELD_ACCESSION@' AND REFSEQ__DATA__LINKAGES$TAXONOMY.FKDest__value=10116 GROUP BY REFSEQ__HOMOLOGY$SWISSPROT.FKDest__value
LINK_TREMBL_SIMILAR     SELECT REFSEQ__HOMOLOGY$TREMBL.FKSrc__value AS FIELD_ACCESSION, MAX(score) AS FIELD_BITSCORE, Src_X1 AS FIELD_SRC_X, Src_X2 AS FIELD_SRC_Y, Dest_X1 AS FIELD_DEST_X, Dest_X2 AS FIELD_DEST_Y FROM REFSEQ__HOMOLOGY$TREMBL, REFSEQ__DATA, REFSEQ__DATA__LINKAGES$TAXONOMY WHERE REFSEQ__DATA__LINKAGES$TAXONOMY.FKSrc__value=REFSEQ__DATA.id AND REFSEQ__HOMOLOGY$TREMBL.FKSrc__value=REFSEQ__DATA.id AND REFSEQ__HOMOLOGY$TREMBL.FKDest__value='@FIELD_ACCESSION@' AND REFSEQ__DATA__LINKAGES$TAXONOMY.FKDest__value=10116 GROUP BY REFSEQ__HOMOLOGY$TREMBL.FKDest__value
LINK_LOCUSLINK   SELECT DISTINCT REFSEQ__DATA__LINKAGES$LOCUSLINK.FKSrc__value AS FIELD_ACCESSION FROM REFSEQ__DATA__LINKAGES$LOCUSLINK, REFSEQ__DATA, REFSEQ__DATA__LINKAGES$TAXONOMY WHERE REFSEQ__DATA__LINKAGES$TAXONOMY.FKSrc__value=REFSEQ__DATA.id AND REFSEQ__DATA__LINKAGES$LOCUSLINK.FKSrc__value=REFSEQ__DATA.id AND REFSEQ__DATA__LINKAGES$LOCUSLINK.FKDest__value=@FIELD_ACCESSION@ AND REFSEQ__DATA__LINKAGES$TAXONOMY.FKDest__value=10116 ORDER BY FIELD_ACCESSION ASC
LINK_PFAM        SELECT DISTINCT REFSEQ__DATA__LINKAGES$PFAM.FKSrc__value AS FIELD_ACCESSION FROM REFSEQ__DATA__LINKAGES$PFAM, REFSEQ__DATA__LINKAGES$TAXONOMY WHERE REFSEQ__DATA__LINKAGES$PFAM.FKSrc__value=REFSEQ__DATA__LINKAGES$TAXONOMY.FKSrc__value AND CONCAT('PF',LPAD(REFSEQ__DATA__LINKAGES$PFAM.FKDest__value,5,'0'))='@FIELD_ACCESSION@' AND REFSEQ__DATA__LINKAGES$TAXONOMY.FKDest__value=10116 ORDER BY FIELD_ACCESSION ASC
LINK_KEGG        SELECT DISTINCT REFSEQ__DATA__LINKAGES$KEGG_LIGAND_ENZYME.FKSrc__value AS FIELD_ACCESSION FROM REFSEQ__DATA__LINKAGES$KEGG_LIGAND_ENZYME, REFSEQ__DATA__LINKAGES$TAXONOMY WHERE REFSEQ__DATA__LINKAGES$KEGG_LIGAND_ENZYME.FKSrc__value=REFSEQ__DATA__LINKAGES$TAXONOMY.FKSrc__value AND REFSEQ__DATA__LINKAGES$KEGG_LIGAND_ENZYME.FKDest__value='@FIELD_ACCESSION@' AND REFSEQ__DATA__LINKAGES$TAXONOMY.FKDest__value=10116 ORDER BY FIELD_ACCESSION ASC
LINK_GENBANK     SELECT DISTINCT REFSEQ__DATA__LINKAGES$GENBANK.FKSrc__value AS FIELD_ACCESSION FROM REFSEQ__DATA__LINKAGES$GENBANK, REFSEQ__DATA__LINKAGES$TAXONOMY WHERE REFSEQ__DATA__LINKAGES$GENBANK.FKSrc__value=REFSEQ__DATA__LINKAGES$TAXONOMY.FKSrc__value AND REFSEQ__DATA__LINKAGES$GENBANK.FKDest__value='@FIELD_ACCESSION@' AND REFSEQ__DATA__LINKAGES$TAXONOMY.FKDest__value=10116 ORDER BY FIELD_ACCESSION ASC
LINK_COG         SELECT DISTINCT REFSEQ__DATA__LINKAGES$COG.FKSrc__value AS FIELD_ACCESSION FROM REFSEQ__DATA__LINKAGES$COG, REFSEQ__DATA__LINKAGES$TAXONOMY WHERE REFSEQ__DATA__LINKAGES$COG.FKSrc__value=REFSEQ__DATA__LINKAGES$TAXONOMY.FKSrc__value AND REFSEQ__DATA__LINKAGES$COG.FKDest__value='@FIELD_ACCESSION@' AND REFSEQ__DATA__LINKAGES$TAXONOMY.FKDest__value=10116 ORDER BY FIELD_ACCESSION ASC
# LINK_CHROMOSOME  SELECT DISTINCT FKSrc__value AS FIELD_ACCESSION FROM REFSEQ__DATA__LINKAGES$CHROMOSOME WHERE FKDest__value='@FIELD_ACCESSION@' ORDER BY FKDest__value ASC

[KEYWORD]
FIELD_ACCESSION  SELECT id FROM REFSEQ__DATA, REFSEQ__DATA__LINKAGES$TAXONOMY WHERE FKSrc__value=id AND %id% LIKE '@keyword@' AND FKDest__value=10116
FIELD_ACCESSION_ALPHA  SELECT id FROM REFSEQ__DATA, REFSEQ__DATA__LINKAGES$TAXONOMY WHERE FKSrc__value=id AND %accession% LIKE '@keyword@' AND FKDest__value=10116
FIELD_ANNOTATION SELECT DISTINCT REFSEQ__DATA.id AS accession FROM REFSEQ__DATA, REFSEQ__DATA__$PRODUCT, REFSEQ__DATA__LINKAGES$TAXONOMY WHERE FKSrc__value=id AND REFSEQ__DATA__$PRODUCT.AK_REFSEQ__DATA__id=REFSEQ__DATA.id AND %REFSEQ__DATA__$PRODUCT.product_name% LIKE '@keyword@' AND FKDest__value=10116 GROUP BY REFSEQ__DATA.id ORDER BY REFSEQ__DATA.id ASC
FIELD_COMMENT    SELECT DISTINCT id FROM REFSEQ__DATA, REFSEQ__DATA__LINKAGES$TAXONOMY WHERE FKSrc__value=id AND %comment% LIKE '@keyword@' AND FKDest__value=10116 ORDER BY id ASC
FIELD_CHROMOSOME SELECT DISTINCT REFSEQ__DATA__LINKAGES$CHROMOSOME.FKSrc__value AS FIELD_ACCESSION FROM REFSEQ__DATA__LINKAGES$CHROMOSOME, $CHROMOSOME, REFSEQ__DATA__LINKAGES$TAXONOMY WHERE REFSEQ__DATA__LINKAGES$CHROMOSOME.FKSrc__value=REFSEQ__DATA__LINKAGES$TAXONOMY.FKSrc__value AND REFSEQ__DATA__LINKAGES$CHROMOSOME.FKDest__value=id AND %REFSEQ__DATA__LINKAGES$CHROMOSOME.FKDest__value% LIKE '@keyword@' AND REFSEQ__DATA__LINKAGES$TAXONOMY.FKDest__value=10116 ORDER BY FIELD_ACCESSION ASC
FIELD_CYTOBAND   SELECT DISTINCT AK_REFSEQ__DATA__id FROM REFSEQ__DATA__$MAP, REFSEQ__DATA__LINKAGES$TAXONOMY WHERE FKSrc__value=AK_REFSEQ__DATA__id AND %chromosome_map% LIKE '@keyword@' AND FKDest__value=10116 ORDER BY AK_REFSEQ__DATA__id ASC
FIELD_NAME       SELECT DISTINCT AK_REFSEQ__DATA__id FROM REFSEQ__DATA__$NAMES, REFSEQ__DATA__LINKAGES$TAXONOMY WHERE FKSrc__value=AK_REFSEQ__DATA__id AND %gene_name% LIKE '@keyword@' AND FKDest__value=10116 ORDER BY AK_REFSEQ__DATA__id ASC
FIELD_SEQUENCE   SELECT DISTINCT id FROM REFSEQ__DATA, REFSEQ__DATA__LINKAGES$TAXONOMY WHERE FKSrc__value=id AND %SEQUENCE_N% LIKE '@keyword@' AND FKDest__value=10116
FIELD_PROTEIN    SELECT DISTINCT AK_REFSEQ__DATA__id FROM REFSEQ__DATA__$PROTEIN, REFSEQ__DATA__LINKAGES$TAXONOMY WHERE FKSrc__value=AK_REFSEQ__DATA__id AND %SEQUENCE_P% LIKE '@keyword@' AND FKDest__value=10116

